Module java.desktop
Package javax.accessibility

## Class AccessibilityProvider

- java.lang.Object
- - javax.accessibility.AccessibilityProvider

-     public abstract class AccessibilityProvider
      extends Object

  Service Provider Interface (SPI) for Assistive Technology.

  This service provider class provides mappings from the platform specific accessibility APIs to the Java Accessibility API.

  Each service provider implementation is named and can be activated via the `activate()` method. Service providers can be loaded when the default `toolkit` is initialized.

  API Note:
    There will typically be one provider per platform, such as Windows or Linux, to support accessibility for screen readers and magnifiers. However, more than one service provider can be activated. For example, a test tool which provides visual results obtained by interrogating the Java Accessibility API can be activated along with the activation of the support for screen readers and screen magnifiers.
  Since:
    9
  See Also:
    `Toolkit.getDefaultToolkit()`, `ServiceLoader`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AccessibilityProvider()` | Initializes a new accessibility provider.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `activate()` | Activates the support provided by this service provider.
    `abstract String` | `getName()` | Returns the name of this service provider.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessibilityProvider

          protected AccessibilityProvider()

      Initializes a new accessibility provider.
      Throws:
        `SecurityException` - If a security manager has been installed and it denies `RuntimePermission` `"accessibilityProvider"`

  - ### Method Detail

    - #### getName

          public abstract String getName()

      Returns the name of this service provider. This name is used to locate a requested service provider.
      Returns:
        the name of this service provider

    - #### activate

          public abstract void activate()

      Activates the support provided by this service provider.